org.modeshape.sequencer.classfile

## Enum ClassFileSequencerLexicon.CommentType

- java.lang.Object
- - java.lang.Enum<ClassFileSequencerLexicon.CommentType>
  - - org.modeshape.sequencer.classfile.ClassFileSequencerLexicon.CommentType

- All Implemented Interfaces:
    Serializable, Comparable<ClassFileSequencerLexicon.CommentType>
  Enclosing class:
    ClassFileSequencerLexicon

      public static enum ClassFileSequencerLexicon.CommentType
      extends Enum<ClassFileSequencerLexicon.CommentType>

  The types of comments.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOCK`
    `JAVADOC`
    `LINE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClassFileSequencerLexicon.CommentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClassFileSequencerLexicon.CommentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLOCK

          public static final ClassFileSequencerLexicon.CommentType BLOCK

    - #### JAVADOC

          public static final ClassFileSequencerLexicon.CommentType JAVADOC

    - #### LINE

          public static final ClassFileSequencerLexicon.CommentType LINE

  - ### Method Detail

    - #### values

          public static ClassFileSequencerLexicon.CommentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClassFileSequencerLexicon.CommentType c : ClassFileSequencerLexicon.CommentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClassFileSequencerLexicon.CommentType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.